<?php include_once '../wp.php'; ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<title><?php _e('Insert jPlayer', 'bd'); ?></title>
<link rel="stylesheet" href="<?php echo admin_url('css/wp-admin.css'); ?>">
<link rel="stylesheet" href="<?php echo admin_url('css/colors-fresh.css'); ?>">
<link rel="stylesheet" href="../css/popup.css">
<script type='text/javascript' src="<?php echo includes_url('js/jquery/jquery.js'); ?>"></script>
<script type='text/javascript' src="<?php echo includes_url('js/tinymce/tiny_mce_popup.js'); ?>"></script>
<script type="text/javascript">

var ButtonDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ButtonDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {
	 
		// Try and remove existing style / blockquote
		tinyMCEPopup.execCommand('mceRemoveNode', false, null);
		 
		// set up variables to contain our input values
		var mp3 = jQuery('#mp3').val();
		var ogg = jQuery('#ogg').val();
	
		var output = '';
		
		// setup the output of our shortcode
		output = '[bd_jplayer ';
			output += 'mp3="' + mp3 + '"';
			output += ' ogg="' + ogg + '"';
			output += ']';

		ed.selection.setContent (output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>
</head>
<body>
<div id="bd-popup-head">
	<h1 style="color:#0d0d0d; margin-bottom:10px; font-family:'Helvetica Neue', Helvetica, Arial, sans-serif;">
		<?php _e('Insert One-song Player', 'bd'); ?>
	</h1>
</div>
<div id="bd-popup">
	<form>
		<div class="bd-field">
			<label><?php _e('mp3 URL', 'bd'); ?> : </label>
			<input id="mp3" name="mp3" type="text">
		</div>

		<div class="bd-field">
			<label><?php _e('ogg URL', 'bd'); ?> : </label>
			<input id="ogg" name="ogg" type="text">
		</div>

		<p class="submit">
			<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed);" class="button-primary">
				<?php _e('Insert in post', 'bd'); ?>
			</a>
		</p>
	</form>
</div>
</body>
</html>