<?php
class BdPiecemakerShow{


	function show()
	{
		global $wpdb, $options;

		if(!defined('ICL_LANGUAGE_CODE'))
			define('ICL_LANGUAGE_CODE', 'en');

		$sliders_tbl = $wpdb->prefix.'bd_piecemaker';
	    	$slides = $wpdb->get_results("SELECT * FROM $sliders_tbl WHERE language_code='".ICL_LANGUAGE_CODE."' ORDER BY position");
	    	$o = get_option('bd_piecemaker_settings');
	    	$slider_width = 960;
		$slider_height = $o['height'];
		$pause_time = $o['delay'];
	    	$i = 0;
	    	$output = '';
	    	if($slides):
	    	$output .='<style type="text/css">
			#piecemaker_wrap {
				height:'.($slider_height+80).'px; margin:-25px auto 30px; width:'.($slider_width).'px;
				margin-left:-10px;
			}
			@media screen and (max-width: 960px) {

				#piecemaker-container{display:none}
			}

		</style>';
		$output .='<script type="text/javascript" src="'.BD_PIECEMAKER_URL.'js/swfobject/swfobject.js"></script>
		<script type="text/javascript">
		  var flashvars = {};
		  flashvars.cssSource = "'.BD_PIECEMAKER_URL.'css/piecemaker.css";
		  flashvars.xmlSource = "'.BD_PIECEMAKER_URL.'xml/piecemaker.xml";
			
		  var params = {};
		  params.play = "true";
		  params.menu = "false";
		  params.scale = "showall";
		  params.wmode = "transparent";
		  params.allowfullscreen = "true";
		  params.allowscriptaccess = "always";
		  params.allownetworking = "all";
		  
		  swfobject.embedSWF(\''.BD_PIECEMAKER_URL.'js/swfobject/piecemaker.swf\', \'piecemaker\', \''.($slider_width+20).'\', \''.($slider_height+80).'\',\'10\', null, flashvars,    
		  params, null);
		</script>';	

		$output .= '<div id="piecemaker_wrap">
		            <div id="piecemaker">
		              <p>Please Install Flash to see this content.</p>
		            </div>
		        </div>';
			
		endif; //if slides
		
		echo $output;
	}

} // end class

global $bd_show_piecemaker;
$bd_show_piecemaker = new BdPiecemakerShow;

function bd_piecemaker(){

	global $bd_show_piecemaker;
	$bd_show_piecemaker->show();

}
?>