<?php
/**
 * Set default theme options
 */
function bd_theme_default_options_init() {
	global $options;
	$theme_options = get_option('bd_theme_options');
	$default_options = array(

		'body_font' => "'Helvetica Neue', Helvetica, Arial, sans-serif", 
		   
		'menu_font' => "'UbuntuCondensedRegular'",
		'title_font' => "'UbuntuCondensedRegular'", 
		'menu_font_transform' => "uppercase",
		'title_font_transform' => "uppercase", 

		'skin' => 'dark',

		'header' => 'none',
		'embed_header' =>'<iframe src="http://player.vimeo.com/video/33316741?title=0&byline=0&portrait=0&color=ffffff" width="500" height="450" frameborder="0"></iframe>',

		'footer_socials_color' => '#050505',

		'read_more_txt' => 'Read more',
		'excerpt_length' => 35,

		'topbar_color_choice' => '#7DD071',

		'topbar_display' => 'cookie',

		'twitter' => 'brutaldesign',

		'topbar_text' => 'Insert your custom message here.',
		'footer_text' => 'Wordpress theme by <a href="http://themes.brutaldesign.com">Brutal Design</a>',

	);

	if ( !$theme_options ) {

		add_option( 'bd_theme_options', $default_options );

	}

}
?>