<?php
/*--------------------------------------------------------------------------------------------------------------

	Shows

----------------------------------------------------------------------------------------------------------------*/
$bd_show_metabox = array(
	'Show Details' => array(

		'title' => __('Show Details', 'bd'),
		'page' => array('show'),
		'metafields' => array(

			array(
				'label'	=> __('Date', 'bd'),
				'id'	=> 'bd_show_date',
				'type'	=> 'datepicker'
			),

			array(
				'label'	=> __('Time', 'bd'),
				'id'	=> 'bd_show_time',
				'type'	=> 'text'
			),


			array(
				'label'	=> __('City', 'bd'),
				'id'	=> 'bd_show_city',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Venue', 'bd'),
				'id'	=> 'bd_show_venue',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Address', 'bd'),
				'id'	=> 'bd_show_address',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Google map', 'bd'),
				'desc'   => __('<a href="http://media.wpwolf.com/screenshots/google-map.jpg" target="_blank">Where to find it?</a>', 'bd'),
				'id'	=> 'bd_show_map',
				'type'	=> 'textarea'
			),

			array(
				'label'	=> __('Facebook event page', 'bd'),
				'id'	=> 'bd_show_fb',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Buy Ticket link', 'bd'),
				'id'	=> 'bd_show_ticket',
				'desc'   => 'http://www.exemple.com',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Free', 'bd'),
				'id'	=> 'bd_show_free',
				'type'	=> 'checkbox'
			),

			array(
				'label'	=> __('Sold Out', 'bd'),
				'id'	=> 'bd_show_soldout',
				'type'	=> 'checkbox'
			),

			array(
				'label'	=> __('Cancelled', 'bd'),
				'id'	=> 'bd_show_cancel',
				'type'	=> 'checkbox'
			),
		)

	),
);


/*--------------------------------------------------------------------------------------------------------------

	Items

----------------------------------------------------------------------------------------------------------------*/
$bd_item_details_metabox = array(

	'Item Details' => array(

		'title' => __('Item Details', 'bd'),
		'page' => array('item'),
		'metafields' => array(

			array(
				'label'	=> __('Item name', 'bd'),
				'desc'   =>  __('', 'bd'),
				//'def'	=> __('Item name', 'bd'),
				'id'	=> 'bd_paypal_item_name',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Price', 'bd'),
				'desc'   =>  __('e.g : 15 (You can set your currency in the Paypal option  panel. The currency will be used on your store index page even if you don\'t use the paypal button options)', 'bd'),
				'id'	=> 'bd_paypal_price',
				'type'	=> 'text'
			),

		

			array(
				'label'	=> __('Sold Out', 'bd'),
				//'desc'   => __('', 'bd'),
				'id'	=> 'bd_item_soldout',
				'type'	=> 'checkbox'
			),

			


		)

	)
);


$bd_item_buy_button_metabox = array(

	'Item Buy' => array(

		'title' => __('Buy link', 'bd'),
		'help' => __('Generate a simple "Buy" link or leave these fields empty and use the next box to generate a paypal button.', 'bd'),
		'page' => array('item'),
		'metafields' => array(

			array(
				'label'	=> __('Buy link text', 'bd'),
				//'desc'   =>  __('Leave empty if you use the paypal button generator below', 'bd'),
				'id'	=> 'bd_item_buy_cd_text',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Buy URL', 'bd'),
				//'desc'   =>  __('URL where visitors can purchase your release. Leave empty if you want to generate a paypal button by filling the paypal button box below.', 'bd'),
				'id'	=> 'bd_item_buy_cd',
				'type'	=> 'text'
			),

		)
	)

);

$bd_item_paypal_metabox = array(


	'Item Paypal' => array(

		'title' => __('Paypal button', 'bd'),
		'help' => __('The item name and price from the "Item Details" box will be used for the paypal button.', 'bd'),
		'page' => array('item'),
		'metafields' => array(


			array(
				'label'	=> __('Paypal Button text', 'bd'),
				'desc'   =>  __('e.g: Buy now or Add to cart', 'bd'),
				'id'	=> 'bd_paypal_text',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Type', 'bd'),
				'desc'   =>  __('', 'bd'),
				'id'	=> 'bd_paypal_type',
				'type'	=> 'select',
				'options' => array(
					'_cart' => __('Add to Cart', 'bd'),
					'_xclick' => __('Buy Now', 'bd')	

				),
			),

			array(
				'label'	=> __('Shipping', 'bd'),
				'desc'   =>  __('Leave empty if 0.00', 'bd'),
				'id'	=> 'bd_paypal_shipping',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Tax', 'bd'),
				'desc'   =>  __('Leave empty if 0.00', 'bd'),
				'id'	=> 'bd_paypal_tax',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Options 1 name', 'bd'),
				'desc'   =>  __('e.g: Size ', 'bd'),
				'id'	=> 'bd_paypal_opt1_name',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Options 1', 'bd'),
				'desc'   =>  __('separate by a comma (e.g: M,L,XL) ', 'bd'),
				'id'	=> 'bd_paypal_opt1',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Options 2 name', 'bd'),
				'desc'   =>  __('e.g: Color ', 'bd'),
				'id'	=> 'bd_paypal_opt2_name',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Options 2', 'bd'),
				'desc'   =>  __('separate by a comma (e.g: red,black,yellow) ', 'bd'),
				'id'	=> 'bd_paypal_opt2',
				'type'	=> 'text'
			),

		)

	),

);

$bd_item_digital_metabox = array(

	'Digital Download Links' => array(

		'title' => __('Digital Download Links for music item', 'bd'),
			'page' => array('item'),
			'metafields' => array(

				array(
					'label'	=> __('iTunes', 'bd'),
					'id'	=> 'bd_item_itunes',
					'desc'   => 'e.g : http://itunes.com/myitem',
					'type'	=> 'text'
				),

				array(
					'label'	=> __('Amazon', 'bd'),
					'id'	=> 'bd_item_amazon',
					'desc'   => 'e.g : http://www.amazon.com/myitem',
					'type'	=> 'text'
				),


			)

	)

);

/*--------------------------------------------------------------------------------------------------------------

	Releases

----------------------------------------------------------------------------------------------------------------*/

$bd_release_details_metabox = array(

	'Release Details' => array(

		'title' => __('Details', 'bd'),
		'page' => array('release'),
		'metafields' => array(

			array(
				'label'	=> __('Band', 'bd'),
				'id'	=> 'bd_release_band',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Title', 'bd'),
				'id'	=> 'bd_release_title',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Release date', 'bd'),
				'id'	=> 'bd_release_date',
				'type'	=> 'datepicker'
			),

			array(
				'label'	=> __('Label', 'bd'),
				'id'	=> 'bd_release_label',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Description', 'bd'),
				'id'	=> 'bd_release_desc',
				'desc'   => __('Short text to display on the index page', 'bd'),
				'type'	=> 'textarea'
			),

			array(
				'label'	=> 'Tracklist',
				'desc'	=> '',
				'id'	=> 'bd_release_tracklist',
				'type'	=> 'repeatable'
			),

			array(
				'label'	=> __('Sold Out', 'bd'),
				//'desc'   => __('', 'bd'),
				'id'	=> 'bd_release_soldout',
				'type'	=> 'checkbox'
			),
			

		)

	)

);

$bd_release_digital_metabox = array(

	'Digital Download Links' => array(

		'title' => __('Digital Download Links', 'bd'),
		'page' => array('release'),
		'metafields' => array(

			array(
				'label'	=> __('iTunes', 'bd'),
				'id'	=> 'bd_release_itunes',
				'desc'   => 'e.g : http://itunes.com/myitem',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Amazon', 'bd'),
				'id'	=> 'bd_release_amazon',
				'desc'   => 'e.g : http://www.amazon.com/myitem',
				'type'	=> 'text'
			),


		)

	)

);

$bd_release_buy_button_metabox = array(

	'Release Buy' => array(

		'title' => __('Buy link', 'bd'),
		'help' => __('Generate a simple "Buy" link or leave these fields empty and use the next box to generate a paypal button.', 'bd'),
		'page' => array('release'),
		'metafields' => array(

			array(
				'label'	=> __('Buy CD text', 'bd'),
				'desc'   =>  __('Leave empty if you use the paypal button generator below', 'bd'),
				'id'	=> 'bd_release_buy_cd_text',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Buy URL', 'bd'),
				'desc'   =>  __('URL where visitors can purchase your release. Leave empty if you want to generate a paypal button by filling the paypal button box below.', 'bd'),
				'id'	=> 'bd_release_buy_cd',
				'type'	=> 'text'
			),

		)
	)

);

$bd_release_paypal_metabox = array(

	'Release Buy Buttons' => array(

		'title' => __('Paypal Button', 'bd'),
		'page' => array('release'),
		'metafields' => array(

			array(
				'label'	=> __('Button text', 'bd'),
				'desc'   =>  __('e.g: Buy now or Pre-Order Now', 'bd'),
				'id'	=> 'bd_paypal_text',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Item name', 'bd'),
				'desc'   =>  __('', 'bd'),
				//'def'      => __('Item Name', 'bd'),
				'id'	=> 'bd_paypal_item_name',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Price', 'bd'),
				'desc'   =>  __('e.g : 15 (You can set your currency in the Paypal option  panel.)', 'bd'),
				'id'	=> 'bd_paypal_price',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Type', 'bd'),
				'desc'   =>  __('', 'bd'),
				'id'	=> 'bd_paypal_type',
				'type'	=> 'select',
				'options' => array(
					'_xclick' => __('Buy Now', 'bd'),
					'_cart' => __('Add to Cart', 'bd')

				),
			),

			array(
				'label'	=> __('Shipping', 'bd'),
				'desc'   =>  __('Leave empty if 0.00', 'bd'),
				'id'	=> 'bd_paypal_shipping',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Tax', 'bd'),
				'desc'   =>  __('Leave empty if 0.00', 'bd'),
				'id'	=> 'bd_paypal_tax',
				'type'	=> 'text'
			),

		)

	),
);


/*--------------------------------------------------------------------------------------------------------------

	Reviews

----------------------------------------------------------------------------------------------------------------*/

$bd_review_details_metabox = array(

	'Review Details' => array(

		'title' => __('Details', 'bd'),
		'page' => array('review'),
		'metafields' => array(

			// array(
			// 	'label'	=> __('Band', 'bd'),
			// 	'id'	=> 'bd_review_band',
			// 	'type'	=> 'text'
			// ),

			array(
				'label'	=> __('Title', 'bd'),
				'id'	=> 'bd_review_title',
				'type'	=> 'text'
			),

			array(
				'label'	=> __('Release date', 'bd'),
				'id'	=> 'bd_review_date',
				'type'	=> 'datepicker'
			),

			array(
				'label'	=> 'Tracklist',
				'id'	=> 'bd_review_tracklist',
				'type'	=> 'repeatable'
			),

			array(
				'label'	=> __('Rating', 'bd'),
				'id'	=> 'bd_review_rating',
				'type'	=> 'slider',
				'min'	=> '0',
				'max'	=> '5',
				'step'	=> '0.5'
			),


		)

	)

);

/*--------------------------------------------------------------------------------------------------------------

	Page Options

----------------------------------------------------------------------------------------------------------------*/

$bd_page_options_metabox = array(
	
	'Page Options' => array(

		'title' => __('Page Options', 'bd'),
		'page' => array('page', 'gallery', 'review', 'release'),
		'metafields' => array(

			array(
				'label'	=> __('Display Title in header', 'bd'),
				'id'	=> 'bd_page_title',
				'type'	=> 'checkbox'
			),
			
		)

	),

);


$bd_do_show_metabox = new BdMetabox($bd_show_metabox);
$bd_do_item_details_metabox = new BdMetabox($bd_item_details_metabox);
$bd_do_item_buy_button_metabox = new BdMetabox($bd_item_buy_button_metabox);
$bd_do_item_paypal_metabox = new BdMetabox($bd_item_paypal_metabox);
$bd_do_item_digital_metabox = new BdMetabox($bd_item_digital_metabox);
$bd_do_release_details_metabox = new BdMetabox($bd_release_details_metabox);
$bd_do_review_details_metabox = new BdMetabox($bd_review_details_metabox);
$bd_do_release_digital_metabox = new BdMetabox($bd_release_digital_metabox);
$bd_do_release_buy_button_metabox = new BdMetabox($bd_release_buy_button_metabox);
$bd_do_release_paypal_metabox = new BdMetabox($bd_release_paypal_metabox);
//$bd_do_page_options_metabox = new BdMetabox($bd_page_options_metabox);

