<?php
$title = get_post_meta($post->ID, 'bd_review_title', true);
$date = get_post_meta($post->ID, 'bd_review_date', true);
$rating = get_post_meta($post->ID, 'bd_review_rating', true);
?>
<article <?php post_class('clearfix'); ?> id="post-<?php the_ID(); ?>">
	<?php if(has_post_thumbnail()): ?>
	<div class="release-meta preview">
		<a title="<?php _e('Read the review', 'bd'); ?>" href="<?php the_permalink(); ?>">
			<img width="97%" src="<?php echo bd_get_post_thumbnail_url('item-thumb'); ?>" alt="<?php the_title(); ?>"></a>
	</div>
	<?php endif; ?>
	<div class="release-content">
		<?php
		 bd_post_title(); 
		 bd_post_meta();
		?>
		<?php echo get_the_term_list( $post->ID, 'band', '<strong>'. __('Band', 'bd').'</strong> : ', ', ', '<br>' ); ?>
		<?php echo get_the_term_list( $post->ID, 'genre', '<strong>'. __('Genre', 'bd').'</strong> : ', ', ', '<br>' ); ?>
		<?php echo bd_rating($rating); ?>
		<div style="height:10px"></div>
		<a href="<?php the_permalink(); ?>" class="more-link"><?php _e('Read the review', 'bd'); ?></a>
	</div>
</article>
<hr>
