<?php
/**
 * The template for displaying search forms for posts
 *
 */
?>
<div class="single-form">
	<form method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">
		<label for="s" class="assistive-text"><?php _e( 'Search', 'bd' ); ?></label>
		<input type="text" class="field" name="s" id="s" value="<?php esc_attr_e( 'Search a post&hellip;', 'bd' ); ?>">
		<input type="hidden" name="post_type" value="post">
		<input type="submit" class="submit" name="submit" id="searchsubmit" value="<?php esc_attr_e( 'Submit', 'bd' ); ?>">
	</form>
</div>