<?php
/**
 * The Template for displaying all single videos.
 *
 */
get_header(); 
bd_page_before();
?>
	<div class="wrap" id="main-content">
		<div id="primary">
			<?php
			if(have_posts()):
				while(have_posts()): the_post(); ?>
				
				<article <?php post_class(); ?>  id="post-<?php the_ID(); ?>">
	
					<header class="entry-header">
						<h1 class="entry-title"><?php the_title(); ?></h1>
					</header><!-- .entry-header -->
					
					<div class="entry-content">
						<?php the_content(); ?>
						<div class="featured-video">
							<?php echo do_shortcode( get_post_meta($post->ID, '_format_video_embed', true) ); ?>
						</div>
						<?php edit_post_link( __( 'Edit', 'bd' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .entry-content -->
					
				</article>

					
				<?php
				/**
				* Displaying the comments
				*/
				comments_template(); 
				
				endwhile;
			
			endif; ?>
		</div>

		<?php get_sidebar(); ?>

			
	</div><!-- #content -->
			
<?php 
bd_page_after();
get_footer(); ?>