<?php
/**
 * Template used for the review taxonomies
 *
 */
get_header();
bd_page_before();
?>
	<div id="main-content" class="wrap">
		<div id="primary" class="site-content">
			<div id="content" role="main">
			<?php 

			if(have_posts()): 

				while ( have_posts() ) : the_post(); 

					get_template_part('loop', 'review');
			
				endwhile; // end of the loop.

			bd_pagination();

			else: ?>

			<article id="post-0" class="post no-results not-found">
				<header class="entry-header">
					<h1 class="entry-title"><?php _e( 'Nothing Found', 'bd' ); ?></h1>
				</header><!-- .entry-header -->

				<div class="entry-content">
					<p><?php _e( 'No review yet.', 'bd' ); ?></p>
				</div><!-- .entry-content -->
			</article><!-- #post-0 .post .no-results .not-found -->

			<?php endif; ?>
			</div><!-- #content -->
		
		</div><!-- #primary .site-content -->
		<aside id="secondary" class="widget-area" role="complementary"><?php dynamic_sidebar('review'); ?></aside>
	</div><!-- .wrap #main-content -->
<?php 
bd_page_after();
get_footer(); 
?>