<?php 
/**
 * The is where we display the content of the feature header on the home page
 * Slider, Video, etc... 
 *
 */

$bd_feature = bd_get_option('header'); ?>

<section id="feature-container">
	<?php 

	/* If the Nivo  is choosen
	-------------------------------------------*/
	if( $bd_feature == 'nivoslider' ): 
		
		?>
		<div id="nivoslider-container" class="wrap">
			<?php if(function_exists('bd_nivoslider')) bd_nivoslider(); ?>
		</div>
		<?php 

	/* If the CaroufredSel  is choosen
	-------------------------------------------*/
	elseif( $bd_feature == 'caroufredsel' ):

		//if(function_exists('bd_caroufredsel')) 
			bd_caroufredsel();


	/* If the Piecemaker  is choosen
	-------------------------------------------*/
	elseif( $bd_feature == 'piecemaker' ): 
		
		?>
		<div class="wrap" id="piecemaker-container">
			<?php if(function_exists('bd_piecemaker')) bd_piecemaker(); ?>
		</div>
		<?php 

	/* If the embed object is choosen
	-------------------------------------------*/
	elseif( $bd_feature == 'embed' ): ?>
	
	<div class="wrap">
		<div id="embed-container">  
			<?php echo do_shortcode(stripslashes(bd_get_option('embed_header'))) ; ?>
		</div>
	</div>
		
		
	<?php 

	/* If the Static Image is choosen
	-------------------------------------------*/
	elseif($bd_feature=='static'):
	
		if(bd_get_option('static_header')): ?>
		<div id="fixheader-container">
			<img src="<?php echo BD_UPLOAD_URL.bd_get_option('static_header'); ?>" alt="<?php bloginfo('name'); ?>">
		</div>
		<?php endif;
	
	endif; ?>
</section><!-- #feature-container -->
