<?php
/*-----------------------------------------------------------------------------------*/
/*  SEO Metaboxes
/*-----------------------------------------------------------------------------------*/

$bd_post_seo = array(

	'seo' => array(
			
			'title' => __('SEO settings', 'bd'),
			'page' => BdAdmin::get_seo_post_types(),

			'metafields' => array(

				array(
					'label'	=> __('Title', 'bd'),
					'desc'	=> __('Maximum of 60 chars.', 'bd'),
					'id'	=> 'bd_seo_title',
					'type'	=> 'text'
				),

				array(
					'label'	=> __('Description', 'bd'),
					'desc'	=> __('Maximum of 160 chars.', 'bd'),
					'id'	=> 'bd_seo_description',
					'type'	=> 'text'
				),

				array(
					'label'	=> 'Meta Robots Index',
					'desc'	=> __('Do you want robots to index this page?', 'bd'),
					'id'	=> 'bd_seo_index',
					'type'	=> 'select',
					'options' => array(
						'index', 
						'noindex')
				),

				array(
					'label'	=> 'Meta Robots Follow',
					'desc'	=> __('Do you want robots to follow links from this page?', 'bd'),
					'id'	=> 'bd_seo_follow',
					'type'	=> 'select',
					'options' => array(
						'follow', 
						'nofollow')
				),
				
			)

		),


);

if(bd_do_seo())
	$bd_seo_metaboxes = new BdMetabox($bd_post_seo);

