<?php

function bd_sc_list_add_admin(){
	add_menu_page(__('Shortcodes List', 'bd'), __('Shortcodes List', 'bd'), 'administrator', basename(__FILE__), 'bd_sc_list_admin', '');
}

function bd_sc_list_admin(){
	?>
	<div class="wrap">
		<div id="icon-themes" class="icon32"></div>
		<h2>Shortcodes</h2>
		<p><?php printf( __('In addition to the shortcodes available with the %s inbuilt plugin you may have downloaded, here is a list of in-built shortcodes.', 'bd'), 
			'<a href="http://themes.brutaldesign.com/plugin/bd-shortcodes" target="_blank" title="Get it now" class="hastip">BdShortcodes</a>'
		); ?></p>

		<?php
		if(is_file(BD_THEME_DIR.'/includes/theme-shortcodes-help.php')){
			include_once BD_THEME_DIR.'/includes/theme-shortcodes-help.php';
		}
		?>

		<h2><?php _e('Framework in-built shortcodes', 'bd'); ?></h2>

		<h3><?php _e('Separator', 'bd'); ?></h3>
		<pre>[bd_separator]</pre>

		<h3><?php _e('Clear', 'bd'); ?></h3>
		<p><?php _e('Clear floating (paste this shortcode after floating image if elements are disordered.)', 'bd'); ?></p>
		<pre>[bd_clear]</pre>

		<h3><?php _e('Vertical Space', 'bd'); ?></h3>
		<p><?php _e('Add vertical empty space to separate element.', 'bd'); ?></p>
		<pre>[bd_space height="15"]</pre>

		<h3>Big tweet</h3>
		<pre>[bd_bigtweet]</pre>

			
		<h3><?php _e('Theme Color', 'bd'); ?></h3>
		<pre>[bd_themecolor]I am your text[/bd_themecolor]</pre>
		
		<h3><?php _e('Dropcaps', 'bd'); ?></h3>
		<h4><?php _e('Usual dropcap', 'bd'); ?></h4>
		<pre>[bd_dropcap]L[/bd_dropcap]</pre>

		<h4><?php _e('Dropcap with background', 'bd'); ?></h4>
		<pre>[bd_dropcap_bg]L[/bd_dropcap_bg]</pre>
		<h3><?php _e('Center an element', 'bd'); ?></h3>
		<pre>[bd_center]This is text is centered[/bd_center]</pre>
		<p><?php _e('As the text widget allow shortcodes, this one can be usefull in this case.', 'bd'); ?></p>

	</div>
	
<?php
}
add_action('admin_menu', 'bd_sc_list_add_admin');
?>