<?php


if( isset($_POST['manage_playlist']) ){

	if( empty($_POST['playlist_name_id']) )
		
		bd_manage_playlist();
	else
		bd_manage_playlist($_POST['playlist_name_id']);		
}

if(isset($_GET['delete_playlist'])){

	bd_delete_playlist($_GET['delete_playlist']);
	unset($_GET);

}

if(!isset($_GET['playlist_name_id']))

	bd_playlist_form();

else
	bd_playlist_form($_GET['playlist_name_id']);


$bd_jplayer_playlists_table = $wpdb->prefix.'bd_jplayer_playlists';
$bd_jplayer_table = $wpdb->prefix.'bd_jplayer';
$playlists = $wpdb->get_results("SELECT * FROM $bd_jplayer_playlists_table");
if( $playlists ):
?>
<h2>Playlists</h2>
<table class="bd-custom-table">
	<thead>
		<th>Shortcode</th>
		<th><?php _e('Songs count', 'bd'); ?></th>
		<th><?php _e('Name', 'bd'); ?></th>
		<th><?php _e('Logo', 'bd'); ?></th>
		<th><?php _e('Autoplay', 'bd'); ?></th>
		<th><?php _e('Actions', 'bd'); ?></th>
	</thead>
	<tbody>
		<?php 
		foreach($playlists as $p): 
			$songs = $wpdb->get_row("SELECT COUNT(*) AS count FROM $bd_jplayer_table WHERE playlist_id = '$p->id'");
			if($songs)
				$count = $songs->count;
			else
				$count = 0;
			
		
			$edit_link = esc_url( admin_url('admin.php?page=bd-jplayer-panel&amp;playlist_name_id='.$p->id) );
		?>
		<tr>
			<td><code>[bd_jplayer_playlist id="<?php echo $p->id; ?>"]</code></td>
			<td><?php echo $count; ?></td>
			<td><a class="hastip" title="<?php _e('Edit playlist name', 'bd'); ?>" href="<?php echo $edit_link; ?>"><?php echo $p->name; ?></a></td>
			<td><?php echo ($p->logo) ? '<img style="vertical-align:middle; margin:5px 0" width="50" src="' . BD_JPLAYER_FILES_URL . 'logos/' . $p->logo . '">' : '<a class="hastip" title="' . __('Upload a custom logo for your playlist', 'bd') . '" href="' .$edit_link . '">' . __('Add a logo', 'bd') . '</a>'; ?></td>
			
			<td><?php echo ($p->autoplay) ? __('Yes', 'bd') : __('No', 'bd'); ?></td>

			<td>
				<a class="button" href="<?php echo esc_url( admin_url('admin.php?page=bd-jplayer-panel&amp;playlist_id='.$p->id) ); ?>">
					<?php _e('Manage songs', 'bd'); ?></a> 
				<a class="hastip" title="<?php _e('Edit playlist', 'bd'); ?>" href="<?php echo $edit_link; ?>"><img style="vertical-align:middle; margin-left:10px;" src="<?php echo BD_JPLAYER_PLUGIN_URL . 'img/admin/edit.png'; ?>" alt="edit"></a> 
				
				<a class="hastip" title="<?php _e('Delete playlist', 'bd'); ?>" href="<?php echo esc_url( admin_url('admin.php?page=bd-jplayer-panel&amp;delete_playlist='.$p->id) ); ?>" onclick="if (window.confirm('<?php _e('Are you sure to want to delete this playlist and all songs in it ?', 'bd'); ?>')) {location.href='default.htm';return true;} else {return false;}"><img style="vertical-align:middle" src="<?php echo BD_JPLAYER_PLUGIN_URL . 'img/admin/delete.png'; ?>" alt="delete"></a>


			</td>
		</tr>
	             <?php endforeach; ?>
	</tbody>

</table>
<?php else: ?>
	<p><?php _e('No playlist yet, create you first playlist using the form above!', 'bd'); ?></p>

<?php endif; // end if playlists ?>