<?php 
global $wpdb, $options; 
$sliders_tbl = $wpdb->prefix.'bd_piecemaker';
$slides = $wpdb->get_results("SELECT * FROM $sliders_tbl WHERE language_code='".ICL_LANGUAGE_CODE."' ORDER BY position");
$o = get_option('bd_piecemaker_settings');
$slider_width = 960;
$slider_height = $o['height'];
$pause_time = $o['delay'];

$xml = '';
$xml .= '<?xml version="1.0" encoding="utf-8"?>';
$xml .='<Piecemaker>
<Contents>';
 if ($slides):
 foreach($slides as $slide):
    $xml .='<Image Source="'.BD_PIECEMAKER_FILES_URL.'slides/'.$slide->img.'" Title="'.stripslashes($slide->name).'"></Image>';
    endforeach; endif;
      $xml .='</Contents>
  <Settings ImageWidth="'.$slider_width.'" ImageHeight="'.$slider_height.'" LoaderColor="0x333333" InnerSideColor="0x222222" SideShadowAlpha="0.7" DropShadowAlpha="0.6" DropShadowDistance="15" DropShadowScale="0.95" DropShadowBlurX="40" DropShadowBlurY="4" MenuDistanceX="20" MenuDistanceY="50" MenuColor1="0x999999" MenuColor2="0x333333" MenuColor3="0xFFFFFF" ControlSize="100" ControlDistance="20" ControlColor1="0x222222" ControlColor2="0xFFFFFF" ControlAlpha="0.8" ControlAlphaOver="0.95" ControlsX="470" ControlsY="280&#xD;&#xA;" ControlsAlign="center" TooltipHeight="30" TooltipColor="0x222222" TooltipTextY="5" TooltipTextStyle="P-Italic" TooltipTextColor="0xFFFFFF" TooltipMarginLeft="5" TooltipMarginRight="7" TooltipTextSharpness="50" TooltipTextThickness="-100" InfoWidth="400" InfoBackground="0xFFFFFF" InfoBackgroundAlpha="0.95" InfoMargin="15" InfoSharpness="0" InfoThickness="0" Autoplay="'.$pause_time.'" FieldOfView="45"></Settings>
  <Transitions>
    <Transition Pieces="9" Time="1.2" Transition="easeInOutBack" Delay="0.1" DepthOffset="300" CubeDistance="30"></Transition>
    <Transition Pieces="15" Time="3" Transition="easeInOutElastic" Delay="0.03" DepthOffset="200" CubeDistance="10"></Transition>
    <Transition Pieces="5" Time="1.3" Transition="easeInOutCubic" Delay="0.1" DepthOffset="500" CubeDistance="50"></Transition>
    <Transition Pieces="9" Time="1.25" Transition="easeInOutBack" Delay="0.1" DepthOffset="900" CubeDistance="5"></Transition>
  </Transitions>
</Piecemaker>'; 

$fichierxml = BD_PIECEMAKER_DIR.'/xml/piecemaker.xml' ;
unlink ($fichierxml);
$fp = fopen(BD_PIECEMAKER_DIR."/xml/piecemaker.xml", 'w');
fputs($fp, $xml);
fclose($fp);
?>