<?php 
/**
 * The template for displaying Search Results pages.
 *
 */

get_header(); ?>
	<div class="wrap" id="main-content">
		<div id="primary">
		<?php if(have_posts()): 

				while(have_posts()): the_post();
					$post_type = get_post_type($post->ID);
					if(isset($_GET['post_type'])){
						$search_type = sanitize_title($_GET['post_type']);

						if( $search_type == 'review' && $post_type != 'review' )
							continue;
						
						if( $search_type == 'review' && $post_type == 'review' )
							get_template_part('loop', 'review');
					
						if( $search_type == 'post' && $post_type != 'post' )
							continue;
						
						if( $search_type == 'post' && $post_type == 'post' )
							get_template_part('loop', 'post');

					}else{

						if( $post_type == 'review' )
							get_template_part('loop', 'review');
						else
							get_template_part('loop', 'post');
					}
						

				endwhile;
				bd_pagination();
			else:
				
				get_template_part('no-results', 'index');
			
			endif; ?>
		</div>

		<?php get_sidebar(); ?>

			
	</div><!-- #content -->
<?php get_footer(); ?>