<?php
get_header();
bd_page_before();
?>
	<div id="main-content" class="wrap">
		<div id="primary" class="site-content">
			<div id="content" role="main">
				<?php bd_single_post_nav(); ?>
				<?php if(have_posts()): while ( have_posts() ) : the_post(); ?>
					<?php 
					$date = bd_custom_date_format(get_post_meta( $post->ID, 'bd_show_date', true ));
					$time = get_post_meta( $post->ID, 'bd_show_time', true);

					$city = get_post_meta( $post->ID, 'bd_show_city', true);
					$venue = get_post_meta( $post->ID, 'bd_show_venue', true);
					$address = get_post_meta( $post->ID, 'bd_show_address', true);
					$map = get_post_meta( $post->ID, 'bd_show_map', true);
					$facebook_page = get_post_meta( $post->ID, 'bd_show_fb', true);

					$ticket = get_post_meta( $post->ID, 'bd_show_ticket', true );
					$cancelled = get_post_meta( $post->ID, 'bd_show_cancel', true );
					$soldout = get_post_meta( $post->ID, 'bd_show_soldout', true );
					$free = get_post_meta( $post->ID, 'bd_show_free', true );

						
					if( !$cancelled && !$soldout && $ticket ){

						$show_action = '<a target="_blank" href="'.esc_url($ticket).'" class="bd-button small black square">'.__('Buy ticket', 'bd').'</a>';
					}

					elseif($cancelled){

						$show_action = '<span class="label">'.__('cancelled', 'bd').'</span>';

					}

					elseif($soldout){
						$show_action = '<span class="label sold-out">'.__('sold out!', 'bd').'</span>';
					}	

					elseif( !$cancelled && !$soldout && !$ticket && $free ){

						$show_action = '<span class="label">'.__('free', 'bd').'</span>';

					}

					elseif( !$cancelled && !$soldout && !$ticket && !$free ){

						$show_action = '<span class="label">&nbsp;</span>';

					}

					?>
					<article <?php post_class(); ?>  id="post-<?php the_ID(); ?>">
				
						<!-- <header class="entry-header">
							
							<h1 class="entry-title">
								<?php //the_title(); ?>	
							</h1>
							
						</header> -->

						<div id="show-meta">
							<?php if( has_post_thumbnail() ): ?>
								<a href="<?php echo bd_get_post_thumbnail_url('full-size'); ?>" class="zoom fancybox">
									<?php the_post_thumbnail('photo'); ?>
								</a>
							<?php endif; ?>
							<?php echo $date ?>
							<div class="clear"></div>
							<?php if($city): ?><br><?php printf(__('<strong>City</strong> : %s', 'bd'), $city) ; ?><?php endif ; ?>
							<?php if($venue): ?><br><?php printf(__('<strong>Venue</strong> : %s', 'bd'), $venue) ; ?><?php endif ; ?>
							<?php if($address): ?><br><?php printf(__('<strong>Address</strong> : %s', 'bd'), $address) ; ?><?php endif ; ?>
							<?php if($time): ?><br><?php printf(__('<strong>Time</strong> : %s', 'bd'), $time) ; ?><?php endif ; ?>
							<?php
							if($facebook_page): 
							echo '<p style="margin-top:1em"><a title="'.__('View the facebook event page', 'bd').'" target="_blank" href="' . $facebook_page . '">';
							echo '<span class="icon-facebook"></span>'; 
							echo '</a></p>';
							endif; 
							?>
							<p><br><?php echo $show_action; ?></p>
						</div>
						<div id="show-content">
							<?php if($map): ?>
							<p><iframe width="100%" height="200" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="<?php echo $map; ?>&output=embed"></iframe></p>
							<?php endif; ?>
							<?php the_content(); ?>
						</div>
						<div class="clear"></div>
						<?php edit_post_link( __( 'Edit', 'bd' ), '<span class="edit-link">', '</span>' ); ?>

					</article>
		
				<?php endwhile; // end of the loop. 
				endif; ?>
		                                        
			</div><!-- #content -->
		</div><!-- #primary .site-content -->
		
		<aside id="secondary" class="widget-area" role="complementary">
			<?php dynamic_sidebar('show'); ?>
		</aside>
	</div><!-- .wrap #main-content -->
<?php 
bd_page_after();
get_footer(); 
?>