<?php
/*
Template Name: Blog Archives
*/
get_header(); 
bd_page_before();
?>

	<div class="wrap" id="main-content">
		<div id="primary" class="site-content">
			<div id="content" role="main">
				<article <?php post_class('archives'); ?>  id="post-<?php the_ID(); ?>">
					
					<h4><?php _e('Last 30 posts', 'bd'); ?></h4>
					<ul>
						<?php wp_get_archives('type=postbypost&limit=30'); ?>
					</ul>
					<hr>
					
					<h4><?php _e('Archives by Month', 'bd'); ?></h4>  
					<ul>  
						<?php wp_get_archives(); ?>  
					</ul>
					<hr>
					
					<h4><?php _e('Archives by Subject', 'bd'); ?></h4>  
					<ul>
						<?php wp_list_categories('title_li='); ?>  
					</ul>
				</article>
			</div><!-- #content -->
			
		</div><!-- #primary .site-content -->
	<?php get_sidebar(); ?>
	</div><!-- #main-content .wrap -->
<?php 
bd_page_after();
get_footer(); 
?>