<?php
/*
Template Name: Discography
*/
get_header();
bd_page_before();
?>

	<div id="main-content" class="wrap">
		<div id="primary" class="site-content">
			<div id="content" role="main">
			<?php while ( have_posts() ) : the_post(); ?>
				<div style="margin-bottom:30px"><?php the_content(); ?></div>
			<?php endwhile; ?>
			<?php 
			$loop = new WP_Query("post_type=release&posts_per_page=-1");
			if($loop->have_posts()): 
				while ($loop->have_posts()) : $loop->the_post(); 

				get_template_part('loop', 'release'); 
			
			endwhile; // end of the loop. ?>

			<?php else: ?>

			<div style="padding:50px 0 150px">
				<article id="post-0" class="post no-results not-found">
					<header class="entry-header">
						<h1 class="entry-title"><?php _e( 'Nothing Found', 'bd' ); ?></h1>
					</header><!-- .entry-header -->

					<div class="entry-content">
						<p><?php _e( 'No release yet.', 'bd' ); ?></p>
					</div><!-- .entry-content -->
				</article><!-- #post-0 .post .no-results .not-found -->
			</div>

			<?php endif; ?>
			</div><!-- #content -->
		</div><!-- #primary .site-content -->
		<?php get_sidebar(); ?>
	</div><!-- .wrap #main-content -->
<?php 
bd_page_after();
get_footer(); 
?>