<?php
/*
Template Name: Reviews Archives
*/
get_header(); 
bd_page_before();
?>

	<div class="wrap" id="main-content">
		<div id="primary" class="site-content">
			<div id="content" role="main">
				<article <?php post_class('archives'); ?>  id="post-<?php the_ID(); ?>">
					<?php
					$loop = new WP_Query("post_type=review&showposts=-1");
					if ($loop->have_posts()) : ?>
					<table>
						<tbody>
							<?php  while ($loop->have_posts()) : $loop->the_post(); 
							$rating = get_post_meta($post->ID, 'bd_review_rating', true);
							?>
								<tr>
									<td>
										<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
									</td>
									<td>
										<?php if( !bd_get_option('disable_rating') ): ?>
										<?php _e('Note', 'bd'); ?> : <?php echo $rating; ?> / 5
										<?php endif; ?>
									</td>
									
								</tr>
							<?php endwhile; ?>
						</tbody>
  					</table>
  					<?php endif; ?>
				</article>
			</div><!-- #content -->
			
		</div><!-- #primary .site-content -->
	<?php get_sidebar(); ?>
	</div><!-- #main-content .wrap -->
<?php 
bd_page_after();
get_footer(); 
?>