<?php
/*
Template Name: Video Gallery
*/

get_header(); 
bd_page_before(); ?>


	<div class="wrap" id="main-content">
		
		<?php $loop = new WP_Query("post_type=video&posts_per_page=-1");
		if($loop->have_posts()): 
		 ?>
		<div id="video-gallery-grid">
		<?php 
		while ($loop->have_posts()) : $loop->the_post();
		
		$video = get_post_meta($post->ID, '_format_video_embed', true);
		$video_url = bd_get_iframe_video_url($video);
		?>
		             <?php if(has_post_thumbnail()): ?>
			<div <?php post_class(array('video-item-container')); ?> id="post-<?php the_ID(); ?>">
				<div class="video-item">
					<a class="fancybox-media entry-link" href="<?php echo $video_url; ?>" title="<?php printf(__('Watch %s', 'bd'), get_the_title()); ?>">
						<div class="video-thumb">
							<span class="play-overlay"></span>
							<?php the_post_thumbnail('item-cover'); ?>
							<div class="video-title">
								<h5><?php the_title(); ?></h5>
							</div>
						</div>
					</a>
				</div>
			</div>
			<?php 
			endif;
		
			endwhile; ?> 
			<div class="clear"></div>
		</div><!-- #portfolio-grid -->
		                           
		<?php else: // if no post?>
		<div style="padding:0 0 150px">
			<article id="post-0" class="post no-results not-found">
				<header class="entry-header">
					<h1 class="entry-title"><?php _e( 'Nothing Found', 'bd' ); ?></h1>
				</header><!-- .entry-header -->

				<div class="entry-content">
					<p><?php _e( 'No video uploaded yet.', 'bd' ); ?></p>
				</div><!-- .entry-content -->
			</article><!-- #post-0 .post .no-results .not-found -->
		</div>
		<?php endif; ?>
	</div>
<?php	
bd_page_after();	                                       
get_footer(); ?>